#include <iostream>
#include <pqxx/pqxx> 

// g++ -o pgtest pgtest.cpp -I/usr/include/postgresql -lpqxx 

int main(int argc, char* argv[]) 
{
    try 
    {
        pqxx::connection C("dbname=db_mancode user=user_mancode password=123456 hostaddr=192.168.0.64 port=5432");

        if (C.is_open()) 
        {
            std::cout << "Opened database successfully: " << C.dbname() << std::endl << std::endl;
        } 
        else 
        {
            std::cout << "Can't open database" << std::endl;
            return 1;
        }

        pqxx::nontransaction N(C);

        pqxx::result R(N.exec("SELECT * FROM t_map"));

        for (pqxx::result::const_iterator c = R.begin(); c != R.end(); ++c) 
        {
            std::cout << "name  = " << c[0].as<std::string>() << std::endl;
            std::cout << "level = " << c[1].as<std::string>() << std::endl << std::endl;
        }

        C.disconnect ();
    } 
    catch (const std::exception &e) 
    {
        std::cerr << e.what() << std::endl;

        return 1;
    }

    return 0;
}
